Đến nội dung


Hình ảnh
- - - - -

[Yêu cầu] nhờ sửa thêm phần gọi Block text và cho nó song song đoạn thẳng


  • Please log in to reply
24 replies to this topic

#1 namnhim

namnhim

    biết vẽ polygon

  • Members
  • PipPip
  • 73 Bài viết
Điểm đánh giá: 5 (bình thường)

Đã gửi 04 April 2013 - 11:30 AM

các bác ơi cho em hỏi 1 tí, nếu dùng cái lisp này muốn cho thêm đoạn gọi 1 Mtext được tạo sẵn trong support để:

- khi gõ lệnh => chọn đoạn thẳng => chọn điểm đầu và điểm cuối => hiện lên cái Mtext mẫu có sẵn đó song song với đoạn thẳng và lúc đó ta có thể sửa tên đường tùy ý được không các bác nhỉ?

 

(DEFUN C:TD5(/ cnt enam ent pnt s1 tot v1 val)(setvar "CMDECHO" 0.000)
(prompt "\nChon cac duong muon chuyen: ")
   (setq tl (getvar "textstyle"))
   (COMMAND "-LAYER" "m" "Tim duong" "color" 3 "" "")(PRINC)
   (SETQ A (SSGET))
   ("CHPROP" A PAUSE "c" "3" "la" "Tim duong" "lt" "acad_iso10w100" "s" "0.15" "")(princ)
   (SETQ B (GETPOINT "CHON DIEM : diem dau  -  "))(PRINC)
   (SETQ C (GETPOINT "CHON DIEM : diem cuoi"))
   (command "-style" "TEXT" "Times New Roman" "1.1" "1" "0" "n" "n" )
   (command "-layer" "m" "Text"" "" "" "")
   (command "text" "j" "bl" B C (strcase(getstring T "NHAP TEN DUONG:   ")))
  (command "textstyle" tl)(princ))

 


  • 0

#2 phamthanhbinh

phamthanhbinh

    biết lệnh adcenter

  • Moderator
  • PipPipPipPipPipPipPip
  • 6007 Bài viết
Điểm đánh giá: 3113 (tuyệt vời)

Đã gửi 05 April 2013 - 10:04 AM

các bác ơi cho em hỏi 1 tí, nếu dùng cái lisp này muốn cho thêm đoạn gọi 1 Mtext được tạo sẵn trong support để:

- khi gõ lệnh => chọn đoạn thẳng => chọn điểm đầu và điểm cuối => hiện lên cái Mtext mẫu có sẵn đó song song với đoạn thẳng và lúc đó ta có thể sửa tên đường tùy ý được không các bác nhỉ?

 

(DEFUN C:TD5(/ cnt enam ent pnt s1 tot v1 val)(setvar "CMDECHO" 0.000)
(prompt "\nChon cac duong muon chuyen: ")
   (setq tl (getvar "textstyle"))
   (COMMAND "-LAYER" "m" "Tim duong" "color" 3 "" "")(PRINC)
   (SETQ A (SSGET))
   ("CHPROP" A PAUSE "c" "3" "la" "Tim duong" "lt" "acad_iso10w100" "s" "0.15" "")(princ)
   (SETQ B (GETPOINT "CHON DIEM : diem dau  -  "))(PRINC)
   (SETQ C (GETPOINT "CHON DIEM : diem cuoi"))
   (command "-style" "TEXT" "Times New Roman" "1.1" "1" "0" "n" "n" )
   (command "-layer" "m" "Text"" "" "" "")
   (command "text" "j" "bl" B C (strcase(getstring T "NHAP TEN DUONG:   ")))
  (command "textstyle" tl)(princ))

 

Hề hề hề,

Hãy gửi bản vẽ lên....


  • 1
Chúc các quý Anh trên diễn đàn luôn khỏe, đẻ thêm được nhiều thứ để mót.

#3 namnhim

namnhim

    biết vẽ polygon

  • Members
  • PipPip
  • 73 Bài viết
Điểm đánh giá: 5 (bình thường)

Đã gửi 05 April 2013 - 12:15 PM

đây là bản vẽ của em, em muốn thực hiện như trên sau khi chọn 2 điểm cần hiện tên đường thí nó sẽ xuất hiện 1 mtext song song với đoạn mình trọn (em muốn mtext vì nó gõ unicode dễ hơn)

http://www.cadviet.c..._text_duong.dwg


  • 0

#4 phamthanhbinh

phamthanhbinh

    biết lệnh adcenter

  • Moderator
  • PipPipPipPipPipPipPip
  • 6007 Bài viết
Điểm đánh giá: 3113 (tuyệt vời)

Đã gửi 05 April 2013 - 09:59 PM

đây là bản vẽ của em, em muốn thực hiện như trên sau khi chọn 2 điểm cần hiện tên đường thí nó sẽ xuất hiện 1 mtext song song với đoạn mình trọn (em muốn mtext vì nó gõ unicode dễ hơn)

http://www.cadviet.c..._text_duong.dwg

Hề hề hề,

Chưa hiểu rõ ý bạn lắm. Cứ đoán mò rồi làm bừa, không biết đã đúng ý bạn chưa??? Hãy check nhé.

 

(defun c:edtxt (/ edt e1 e2 p1 p2 p3 etxt goc )
(vl-load-com)
(setq oldos (getvar "osmode"))
(setvar "osmode" 512)
(setq edt (entsel "\n Pick < diem dat text > tren tim duong") 
          e1 (car edt)
          p1 (cadr edt)
          p2 (getpoint p1 "\n Chon diem xac dinh huong dat text")
          p3 (acet-geom-midpoint p1 p2)
          etxt (entget (car (acet-ss-to-list (ssget "f" (acet-geom-vertex-list e1) (list (cons 0 "mtext"))))))
          goc (angle p1 p2)
)
(entmake (list (cons 0 "mtext") (cons 100  "AcDbEntity") (assoc 8 etxt) (cons 100  "AcDbMText")  
                        (cons 10 p3)  (assoc 40 etxt) (cons 71 5) (assoc 72 etxt) (assoc 1 etxt)
                        (assoc 7 etxt) (cons 50 goc) (assoc 73 etxt)   ) )
(setq e2 (entlast))
(entupd e2)
(command "ddedit" e2 pause)
(setvar "osmode" oldos)
(princ)
)
Chúc bạn vui.

  • 1
Chúc các quý Anh trên diễn đàn luôn khỏe, đẻ thêm được nhiều thứ để mót.

#5 namnhim

namnhim

    biết vẽ polygon

  • Members
  • PipPip
  • 73 Bài viết
Điểm đánh giá: 5 (bình thường)

Đã gửi 06 April 2013 - 03:45 PM

cảm ơn bác bình! em dùng cái của bác nó báo lỗi sau khi "Chon diem xac dinh huong dat text ; error: bad argument type: fixnump: nil "

 

cái em đang dùng khi thực hiện chọn đường muốn chuyển thì nó chuyển cả layer và nét tim đường luôn nhưng text thì ko ghi được, bởi vậy em muốn gọi 1 mtext được tạo sẵn trong suppor và tự sửa tên đường thôi


  • 0

#6 phamthanhbinh

phamthanhbinh

    biết lệnh adcenter

  • Moderator
  • PipPipPipPipPipPipPip
  • 6007 Bài viết
Điểm đánh giá: 3113 (tuyệt vời)

Đã gửi 06 April 2013 - 04:44 PM

cảm ơn bác bình! em dùng cái của bác nó báo lỗi sau khi "Chon diem xac dinh huong dat text ; error: bad argument type: fixnump: nil "

 

 

 

cái em đang dùng khi thực hiện chọn đường muốn chuyển thì nó chuyển cả layer và nét tim đường luôn nhưng text thì ko ghi được, bởi vậy em muốn gọi 1 mtext được tạo sẵn trong suppor và tự sửa tên đường thôi

Hề hề hề,

Cái lỗi trên có thể do một số nguyên nhấn sau:

1/- Lỗi do pick chọn điểm , (ít khả năng)

2/- Đường tim đường bạn chọn không phải LWpolyline (Khả năng không nhiều)

3/- Đường tim gồm nhiều đọn polyline và đoạn bạn pick chọn không cắt text tên đường nào (Khả năng rất cao)

 

Bạn hãy check lại các điểm nêu trên và chỉnh sửa bản vẽ cho phù hợp trước khi chạy lisp. Mình đã test trên bản vẽ bạn gửi thì nó chạy không tệ đâu.

Hề hề hề.


  • 0
Chúc các quý Anh trên diễn đàn luôn khỏe, đẻ thêm được nhiều thứ để mót.

#7 ketxu

ketxu

    Copier - Paster - Editor

  • Moderator
  • PipPipPipPipPipPipPip
  • 5678 Bài viết
Điểm đánh giá: 2605 (tuyệt vời)

Đã gửi 06 April 2013 - 04:53 PM

Mình mới nghe khái niệm MText có sẵn trong Support lần đầu :(


  • 0

Thành viên nhóm CadMagic.
Mời bạn ghé thăm facebook nhóm - Page viết lisp theo yêu cầu  :
CAD MAGIC


#8 phamthanhbinh

phamthanhbinh

    biết lệnh adcenter

  • Moderator
  • PipPipPipPipPipPipPip
  • 6007 Bài viết
Điểm đánh giá: 3113 (tuyệt vời)

Đã gửi 06 April 2013 - 09:32 PM

Mình mới nghe khái niệm MText có sẵn trong Support lần đầu :(

Hề hề hề,

Chắc chú này thích chơi chữ thôi mà. Ý theo như bản vẽ post lên thì mình hiểu là cái text này có sẵn trên đường tim đường này rồi, nay chú ấy muốn bổ sung thêm và tân trang nó nhét vào các đoạn khác nhau trên cùng tim đường này. (kiểu ghi chú trên bản đầ ấy mà).

Âu cũng là đoán mò vậy thôi......


  • 0
Chúc các quý Anh trên diễn đàn luôn khỏe, đẻ thêm được nhiều thứ để mót.

#9 namnhim

namnhim

    biết vẽ polygon

  • Members
  • PipPip
  • 73 Bài viết
Điểm đánh giá: 5 (bình thường)

Đã gửi 07 April 2013 - 09:46 PM

các bác ơi cho em hỏi 1 tí, nếu dùng cái lisp này muốn cho thêm đoạn gọi 1 Mtext được tạo sẵn trong support để:

- khi gõ lệnh => chọn đoạn thẳng => chọn điểm đầu và điểm cuối => hiện lên cái Mtext mẫu có sẵn đó song song với đoạn thẳng và lúc đó ta có thể sửa tên đường tùy ý được không các bác nhỉ?

 

- Ý của em là muốn sau khi thực hiện TD5 thì nó chuyển Layer và nét tim đường thì được rồi còn phần nhập tên đường vì nó dùng cho nhập dưới dòng commond nên không nhập được chữ có dấu với font Unicode, bởi vậy em muốn nó thêm chức năng gọi 1 file Text được tạo sẵn và lưu trong support ra đ song song với tim đường rồi ta sửa tên đường thôi!

- lisp của anh Binh em dùng được với điều kiện nó đã có chữ sẵn trong bản vẽ rồi, còn bản vẽ mới chưa có chữ thì không dùng được anh ạ! cảm ơn anh. anh có thể giúp em thêm cái phần nội dung màu đỏ ở trên không ạ?


  • 0

#10 namnhim

namnhim

    biết vẽ polygon

  • Members
  • PipPip
  • 73 Bài viết
Điểm đánh giá: 5 (bình thường)

Đã gửi 07 April 2013 - 09:48 PM

namnhim, on 04 Apr 2013 - 12:22, said:snapback.png

các bác ơi cho em hỏi 1 tí, nếu dùng cái lisp này muốn cho thêm đoạn gọi 1 Mtext được tạo sẵn trong support để:

- khi gõ lệnh => chọn đoạn thẳng => chọn điểm đầu và điểm cuối => hiện lên cái Mtext mẫu có sẵn đó song song với đoạn thẳng và lúc đó ta có thể sửa tên đường tùy ý được không các bác nhỉ?

==================================

- Ý của em là muốn sau khi thực hiện TD5 thì nó chuyển Layer và nét tim đường thì được rồi còn phần nhập tên đường vì nó dùng cho nhập dưới dòng commond nên không nhập được chữ có dấu với font Unicode, bởi vậy em muốn nó thêm chức năng gọi 1 file Text được tạo sẵn và lưu trong support ra đ song song với tim đường rồi ta sửa tên đường thôi!

- lisp của anh Binh em dùng được với điều kiện nó đã có chữ sẵn trong bản vẽ rồi, còn bản vẽ mới chưa có chữ thì không dùng được anh ạ! cảm ơn anh. anh có thể giúp em thêm cái phần nội dung màu đỏ ở trên không ạ?


  • 0

#11 phamthanhbinh

phamthanhbinh

    biết lệnh adcenter

  • Moderator
  • PipPipPipPipPipPipPip
  • 6007 Bài viết
Điểm đánh giá: 3113 (tuyệt vời)

Đã gửi 07 April 2013 - 09:54 PM

namnhim, on 04 Apr 2013 - 12:22, said:snapback.png

Hề hề hề,

Vậy thì bạn hãy tạo một block chứa cái mtext này. Sau đó insert nó vô cái vị tri bạn cần là Ok mà. Có thể sửa một chút cái lisp mình gửi là dùng được.

Bạn hãy gửi mình cái file chứa mtext của bạn để mình test lisp.


  • 1
Chúc các quý Anh trên diễn đàn luôn khỏe, đẻ thêm được nhiều thứ để mót.

#12 namnhim

namnhim

    biết vẽ polygon

  • Members
  • PipPip
  • 73 Bài viết
Điểm đánh giá: 5 (bình thường)

Đã gửi 07 April 2013 - 10:30 PM

dạ, cảm ơn anh!

http://www.cadviet.c...5_ten_duong.dwg


  • 0

#13 phamthanhbinh

phamthanhbinh

    biết lệnh adcenter

  • Moderator
  • PipPipPipPipPipPipPip
  • 6007 Bài viết
Điểm đánh giá: 3113 (tuyệt vời)

Đã gửi 08 April 2013 - 12:00 PM

dạ, cảm ơn anh!

http://www.cadviet.c...5_ten_duong.dwg

Bạn hãy thử lisp này xem có cần chỉnh sửa gì không nhé.

Bạn lưu ý là phải sửa lại đường dẫn tới file chứa mtext của bạn cho phù hợp với vị trí lưu file trên máy của bạn trước khi chạy lisp nhé. Đường dẫn này nằm trong dòng code:

(command "insert" "D:\\Dowload\\62465_ten_duong.dwg" (getpoint "\n Chon diem bat ky tren ban ve") 1 1 0)

Cái thằng  "D:\\Dowload\\62465_ten_duong.dwg" là cái đường dẫn tới file chứa mtext bạn gửi, chỉ có trên máy của mình. Đưa vào máy của bạn sẽ có thể bị lỗi đó.

Chúc bạn vui và có một tuần làm việc thành công.

 

(defun c:edtblk (/ edt e1 e2 p1 p2 p3 etxt goc etxt)
(vl-load-com)
(setq oldos (getvar "osmode"))
(setvar "osmode" 512)
(setq edt (entsel "\n Pick < diem dat text > tren tim duong") 
          e1 (car edt)
          p1 (cadr edt)
          p2 (getpoint p1 "\n Chon diem xac dinh huong dat text")
          p3 (acet-geom-midpoint p1 p2)
          goc (angle p1 p2)
)
;;(entmake (list (cons 0 "mtext") (cons 100  "AcDbEntity") (assoc 8 etxt) (cons 100  "AcDbMText")  
                       ;; (cons 10 p3)  (assoc 40 etxt) (cons 71 5) (assoc 72 etxt) (assoc 1 etxt)
                       ;; (assoc 7 etxt) (cons 50 goc) (assoc 73 etxt)   ) )
(command "insert" "D:\\Dowload\\62465_ten_duong.dwg" (getpoint "\n Chon diem bat ky tren ban ve") 1 1 0)
(command "explode" (entlast) "")
(setq e2 (entlast))
(setq  etxt (entget e2)
           etxt (subst (cons 10 p3) (assoc 10 etxt) etxt)
           etxt (subst (cons 50 goc) (assoc 50 etxt) etxt) )
(entmod etxt)
(entupd e2)
(command "ddedit" e2 pause)
(setvar "osmode" oldos)
(princ)
)

  • 1
Chúc các quý Anh trên diễn đàn luôn khỏe, đẻ thêm được nhiều thứ để mót.

#14 namnhim

namnhim

    biết vẽ polygon

  • Members
  • PipPip
  • 73 Bài viết
Điểm đánh giá: 5 (bình thường)

Đã gửi 08 April 2013 - 02:03 PM

cảm ơn anh, cái lisp trên chạy tốt anh ạ, nhưng nó chỉ chạy với điều kiện riêng để gọi block, sửa text và quay chữ thôi, còn phần chuyển layer và nét tim đường thì phải làm riêng! anh có thể bổ sung giúp em cái phần của anh vào cái lisp này được không ạ!

(DEFUN C:TD5(/ cnt enam ent pnt s1 tot v1 val)(setvar "CMDECHO" 0.000)
(prompt "\nChon cac duong muon chuyen: ")
   (setq tl (getvar "textstyle"))
   (COMMAND "-LAYER" "m" "Tim duong" "color" 3 "" "")(PRINC)
   (SETQ A (SSGET))
   ("CHPROP" A PAUSE "c" "3" "la" "Tim duong" "lt" "acad_iso10w100" "s" "0.15" "")(princ)
   (command "insert" "D:\\Dowload\\62465_ten_duong.dwg" (getpoint "\n Chon diem bat ky tren ban ve") 1 1 0)
  (command "textstyle" tl)(princ))

  • 0

#15 phamthanhbinh

phamthanhbinh

    biết lệnh adcenter

  • Moderator
  • PipPipPipPipPipPipPip
  • 6007 Bài viết
Điểm đánh giá: 3113 (tuyệt vời)

Đã gửi 08 April 2013 - 02:17 PM

cảm ơn anh, cái lisp trên chạy tốt anh ạ, nhưng nó chỉ chạy với điều kiện riêng để gọi block, sửa text và quay chữ thôi, còn phần chuyển layer và nét tim đường thì phải làm riêng! anh có thể bổ sung giúp em cái phần của anh vào cái lisp này được không ạ!

(DEFUN C:TD5(/ cnt enam ent pnt s1 tot v1 val)(setvar "CMDECHO" 0.000)
(prompt "\nChon cac duong muon chuyen: ")
   (setq tl (getvar "textstyle"))
   (COMMAND "-LAYER" "m" "Tim duong" "color" 3 "" "")(PRINC)
   (SETQ A (SSGET))
   ("CHPROP" A PAUSE "c" "3" "la" "Tim duong" "lt" "acad_iso10w100" "s" "0.15" "")(princ)
   (command "insert" "D:\\Dowload\\62465_ten_duong.dwg" (getpoint "\n Chon diem bat ky tren ban ve") 1 1 0)
  (command "textstyle" tl)(princ))

Hề hề hề,

Trước hết bạn cần hiểu rằng cái lisp của bạn sử dụng để thay đổi color,layer, linetype, linetypescale. cho một nhóm nhiều đối tượng chứ không phải chỉ cho một đối tượng.

Trong khi lisp mình viết cho bạn lại chỉ dùng để nhập text vào một đường chọn trước mà thôi.

Việc ghép hai lisp này không phải là không thể mà vấn đề là cần hiểu đúng mục tiêu của bạn mới làm được. Bạn nên nói rõ vấn đề này.


  • 0
Chúc các quý Anh trên diễn đàn luôn khỏe, đẻ thêm được nhiều thứ để mót.

#16 namnhim

namnhim

    biết vẽ polygon

  • Members
  • PipPip
  • 73 Bài viết
Điểm đánh giá: 5 (bình thường)

Đã gửi 08 April 2013 - 04:11 PM

[Yêu cầu] nhờ sửa thêm phần gọi Block text và cho nó song song đoạn thẳng

em xin lỗi vì giải thích không rõ ràng!

* mục đích cuối cùng của em là khi em vẽ được tim đường rồi, giờ em muốn dùng 1 lệnh để vừa chuyển layer + chuyển nét tim đường (vấn đề này đã thực hiện được rồi) chỉ có phần nhập tên đường thì đã có cho chữ chạy song song với đoạn thẳng nhưng vì nó là nhập dưới dòng command nên em không thực hiện được với kiểu Unicode phông Times New Roman. bởi vậy em muốn có cách nào đó để thêm vào lisp TD5 phần gọi 1 Mtext được tạo sẵn để khi thực hiện các bước chuyển layer + chuyển nét tim đường xong => sẽ gọi 1 text cho nó song song và có thể sửa được vidu như Mtext!

cảm ơn anh về sự giúp đỡ nhiệt tình của anh!


  • 0

#17 namnhim

namnhim

    biết vẽ polygon

  • Members
  • PipPip
  • 73 Bài viết
Điểm đánh giá: 5 (bình thường)

Đã gửi 09 April 2013 - 03:43 PM

các bác  ơi, giúp em với   :(


  • -1

#18 namnhim

namnhim

    biết vẽ polygon

  • Members
  • PipPip
  • 73 Bài viết
Điểm đánh giá: 5 (bình thường)

Đã gửi 10 April 2013 - 01:19 PM

 Có lẽ là rất khó có thể làm được rồi!  

vậy có lẽ phải làm thêm thao tác gọi Text nhưng nhờ các anh thêm và sửa giúp em:

- Đoạn hỏi ở đây thì mặc định là R không hỏi lại:

Specify opposite corner or [Height/Justify/Line spacing/Rotation/Style/Width]: R

- Đến đoạn nhập Mtext: ..... thì phải Enter 2 lần, sửa như thế nào để Enter 1 lần là được(đoạn nhập Text mình có thể viết sẵn 1 đoạn text bất kỳ được không các anh nhỉ?)

 

(DEFUN C:TD5()
(setvar "CMDECHO" 0.000)
(prompt "\nChon cac duong muon chuyen: ")
   (setq tl (getvar "textstyle"))
   (COMMAND "-LAYER" "m" "Tim duong" "color" 3 "" "")(PRINC)
   (SETQ A (SSGET))
   (COMMAND"CHPROP" A PAUSE "c" "3" "la" "Tim duong" "lt" "acad_iso10w100" "s" "0.15" "")(princ)   
   (command "-style" "TEXT" "Times New Roman" "1.1" "1" "0" "n" "n" )
   (command "-layer" "m" "Text""c" "White" "" "")
(command "-Mtext")  (princ))


  • 0

#19 phamthanhbinh

phamthanhbinh

    biết lệnh adcenter

  • Moderator
  • PipPipPipPipPipPipPip
  • 6007 Bài viết
Điểm đánh giá: 3113 (tuyệt vời)

Đã gửi 10 April 2013 - 02:16 PM

 Có lẽ là rất khó có thể làm được rồi!  

vậy có lẽ phải làm thêm thao tác gọi Text nhưng nhờ các anh thêm và sửa giúp em:

- Đoạn hỏi ở đây thì mặc định là R không hỏi lại:

Specify opposite corner or [Height/Justify/Line spacing/Rotation/Style/Width]: R

- Đến đoạn nhập Mtext: ..... thì phải Enter 2 lần, sửa như thế nào để Enter 1 lần là được(đoạn nhập Text mình có thể viết sẵn 1 đoạn text bất kỳ được không các anh nhỉ?)

 

(DEFUN C:TD5()
(setvar "CMDECHO" 0.000)
(prompt "\nChon cac duong muon chuyen: ")
   (setq tl (getvar "textstyle"))
   (COMMAND "-LAYER" "m" "Tim duong" "color" 3 "" "")(PRINC)
   (SETQ A (SSGET))
   (COMMAND"CHPROP" A PAUSE "c" "3" "la" "Tim duong" "lt" "acad_iso10w100" "s" "0.15" "")(princ)   
   (command "-style" "TEXT" "Times New Roman" "1.1" "1" "0" "n" "n" )
   (command "-layer" "m" "Text""c" "White" "" "")
(command "-Mtext")  (princ))

Hề hề hề,

Cái khó nhất là không biết bạn cần cái gì???

Muốn mặc định là R tì nhập "r" vào dòng lệnh command 'mtext"

Muốn không phải enter hai lần thì trong lisp cần có sẵn hai cặp dâu ngoặc kép "" "" ở dòng lệnh command.

Muốn nhập nọi dung text có sẵn là gì thì nhập nội dung đó vào vị trí của nó trong dòng command "mtext"

tỷ dụ:

(command "mtext" (setq p1 (getpoint "\nhap diem goc tren ben trai của dòng text")) "r" 50 (setq p2 (getpoint p1 "\nhap diem goc duoi ben phai dòng text")) "em khong biet" "" )

Chúc thành công.


  • 1
Chúc các quý Anh trên diễn đàn luôn khỏe, đẻ thêm được nhiều thứ để mót.

#20 namnhim

namnhim

    biết vẽ polygon

  • Members
  • PipPip
  • 73 Bài viết
Điểm đánh giá: 5 (bình thường)

Đã gửi 10 April 2013 - 03:31 PM

vấn đề đã được giải quyết đơn giản và hiệu quả hơn rồi anh ạ,

có 1 chút nữa em muốn hỏi "r" 50 thì ok, nhưng muốn R quay theo mình chọn như dòng nhắc "nhap diem goc tren ben trai cua dong text" => "nhap diem goc duoi ben phai dong text" thì không được anh nhỉ


  • 0